components:
  schemas:
    License_v1_0_5_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/License_v1_0_5_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    License_v1_0_5_AuthorizationScope:
      description: The authorization scope of the license.
      enum:
      - Device
      - Capacity
      - Service
      type: string
      x-enumDescriptions:
        Capacity: The license authorizes functionality to a number of devices, but
          not restricted to specific device instances.
        Device: The license authorizes functionality for specific device instances.
        Service: The license authorizes functionality to a service.
      x-enumLongDescriptions:
        Capacity: This value shall indicate the license authorizes functionality for
          one or more device instances limited to a maximum number of devices specified
          by the value of the `MaxAuthorizedDevices` property.  In an aggregator,
          the aggregating service shall represent the applicable services in the `TargetServices`
          property in the `Links` property.
        Device: This value shall indicate the license authorizes functionality for
          one or more specific device instances, listed as values of the `AuthorizedDevices`
          property.
        Service: This value shall indicate the license authorizes product-level or
          service-level functionality for a service.  This may include hardware or
          software features not tied to a specific device or subsystem.  `License`
          resources using this value shall not include the `AuthorizedDevices` nor
          the `MaxAuthorizedDevices` properties.  In an aggregator, the aggregating
          service shall represent the applicable services in the `TargetServices`
          property in the `Links` property.
      x-longDescription: This property shall describe the authorization scope for
        this license.
    License_v1_0_5_ContactInfo:
      additionalProperties: false
      description: Contact information for this license.
      properties:
        ContactName:
          description: Name of this contact.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the name of a person or organization
            to contact for information about this license.
        EmailAddress:
          description: Email address for this contact.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the email address for a person
            or organization to contact for information about this license.
        PhoneNumber:
          description: Phone number for this contact.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the phone number for a person
            or organization to contact for information about this license.
      type: object
      x-longDescription: This object shall contain contact information for an individual
        or organization responsible for this license.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    License_v1_0_5_License:
      additionalProperties: false
      description: The `License` schema describes a license for a feature.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/License_v1_0_5_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
        AuthorizationScope:
          description: The authorization scope of the license.
          oneOf:
          - $ref: '#/components/schemas/License_v1_0_5_AuthorizationScope'
          - enum:
            - null
          readOnly: true
          x-longDescription: This property shall contain the authorization scope of
            the license.
        Contact:
          $ref: '#/components/schemas/License_v1_0_5_ContactInfo'
          description: The contact of the license.
          x-longDescription: This property shall contain an object containing information
            about the contact of the license.
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        DownloadURI:
          description: The URI from which to download the license file.
          format: uri-reference
          readOnly: true
          type: string
          x-longDescription: This property shall contain the URI from which to download
            the license file, using the Redfish protocol and authentication methods.  The
            service provides this URI for the download of the OEM-specific binary
            file of license data.  An HTTP `GET` from this URI shall return a response
            payload of MIME type `application/octet-stream`.
        EntitlementId:
          description: The entitlement identifier for this license.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the entitlement identifier
            for this license, used to display a license key, partial license key,
            or other value used to identify or differentiate license instances.
        ExpirationDate:
          description: The date and time when the license expires.
          format: date-time
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the date and time when the
            license expires.
        GracePeriodDays:
          description: The grace days of this license.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: The value of this property shall contain the number of
            days that the license is still usable after the date and time specified
            by the `ExpirationDate` property.
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        InstallDate:
          description: The date and time when the license was installed.
          format: date-time
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the date and time when the
            license was installed.
        LicenseInfoURI:
          description: The URI at which more information about this license can be
            obtained.
          format: uri-reference
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the URI at which to provide
            more information about the license.  The information provided at the URI
            is intended to be general product-related and not tied to a specific user,
            customer, or license instance.
        LicenseOrigin:
          description: This indicates the origin of the license.
          oneOf:
          - $ref: '#/components/schemas/License_v1_0_5_LicenseOrigin'
          - enum:
            - null
          readOnly: true
          x-longDescription: This property shall contain the origin for the license.
        LicenseString:
          description: The Base64-encoded string of the license.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the Base64-encoded string,
            with padding characters, of the license.  This property shall not appear
            in response payloads.
        LicenseType:
          description: The type of the license.
          oneOf:
          - $ref: '#/components/schemas/License_v1_0_5_LicenseType'
          - enum:
            - null
          readOnly: true
          x-longDescription: This property shall contain the type for the license.
        Links:
          $ref: '#/components/schemas/License_v1_0_5_Links'
          description: The links to other resources that are related to this resource.
          x-longDescription: This property shall contain links to resources that are
            related to but are not contained by, or subordinate to, this resource.
        Manufacturer:
          description: The manufacturer or producer of this license.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall represent the name of the manufacturer
            or producer of this license.
        MaxAuthorizedDevices:
          description: The maximum number of devices authorized by the license.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the maximum number of devices
            that are authorized by the license.  This property shall only be present
            if the `AuthorizationScope` property contains the value `Capacity`.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        PartNumber:
          description: The part number for this license.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the manufacturer-provided
            part number for the license.
        RemainingDuration:
          description: The remaining usage duration before the license expires.
          nullable: true
          pattern: ^P(\d+D)?(T(\d+H)?(\d+M)?(\d+(.\d+)?S)?)?$
          readOnly: true
          type: string
          x-longDescription: This property shall contain the remaining usage duration
            before the license expires.  This property shall only be present for licenses
            that are based on usage time.
        RemainingUseCount:
          description: The remaining usage count before the license expires.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the remaining usage count
            before the license expires.  This property shall only be present for licenses
            that are based on usage count.
        Removable:
          description: An indication of whether the license is removable.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether a user can remove
            the license with an HTTP `DELETE` operation.
        SKU:
          description: The SKU for this license.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the SKU number for this license.
        SerialNumber:
          description: The serial number for this license.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain a manufacturer-allocated
            number that identifies the license.
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: The status of the license.
          x-longDescription: This property shall contain the status of license.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent a license for a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
      x-requiredOnCreate:
      - LicenseString
    License_v1_0_5_LicenseOrigin:
      enum:
      - BuiltIn
      - Installed
      type: string
      x-enumDescriptions:
        BuiltIn: A license was provided with the product.
        Installed: A license installed by user.
    License_v1_0_5_LicenseType:
      enum:
      - Production
      - Prototype
      - Trial
      type: string
      x-enumDescriptions:
        Production: A license for use in production environments.
        Prototype: A prototype version of license.
        Trial: A trial license.
      x-enumLongDescriptions:
        Production: This value shall indicate a license purchased or obtained for
          use in production environments.
        Prototype: This value shall indicate a license that is designed for development
          or internal use.
        Trial: This value shall indicate a trial version of a license.
    License_v1_0_5_Links:
      additionalProperties: false
      description: The links to other resources that are related to this resource.
      properties:
        AuthorizedDevices:
          description: An array of links to the devices authorized by the license.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of links to the
            devices that are authorized by the license.  Clients can provide this
            property when installing a license to apply the license to specific devices.  If
            not provided when installing a license, the service may determine the
            devices to which the license applies.  This property shall not be present
            if the `AuthorizationScope` property contains the value `Service`.
        AuthorizedDevices@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties contained in this object shall conform to the Redfish
            Specification-described requirements.
      type: object
      x-longDescription: This Redfish Specification-described type shall contain links
        to resources that are related to but are not contained by, or subordinate
        to, this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    License_v1_0_5_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#License.v1_0_5.License'
x-copyright: Copyright 2014-2025 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
x-release: '2021.3'
